package com.yijia.station.service;

import java.util.List;
import com.yijia.station.domain.StationNotice;

/**
 * 油站通知管理Service接口
 * 
 * @author yijia
 * @date 2020-12-08
 */
public interface IStationNoticeService 
{
    /**
     * 查询油站通知管理
     * 
     * @param noticeId 油站通知管理ID
     * @return 油站通知管理
     */
    public StationNotice selectStationNoticeById(Long noticeId);

    /**
     * 查询油站通知管理列表
     * 
     * @param stationNotice 油站通知管理
     * @return 油站通知管理集合
     */
    public List<StationNotice> selectStationNoticeList(StationNotice stationNotice);

    /**
     * 新增油站通知管理
     * 
     * @param stationNotice 油站通知管理
     * @return 结果
     */
    public int insertStationNotice(StationNotice stationNotice);

    /**
     * 修改油站通知管理
     * 
     * @param stationNotice 油站通知管理
     * @return 结果
     */
    public int updateStationNotice(StationNotice stationNotice);

    /**
     * 批量删除油站通知管理
     * 
     * @param noticeIds 需要删除的油站通知管理ID
     * @return 结果
     */
    public int deleteStationNoticeByIds(Long[] noticeIds);

    /**
     * 删除油站通知管理信息
     * 
     * @param noticeId 油站通知管理ID
     * @return 结果
     */
    public int deleteStationNoticeById(Long noticeId);
}
